GH-REPO-FORK(1)

NAME
gh-repo-fork - Create a fork of a repository

SYNOPSIS
gh repo fork [<repository>] [-- <gitflags>...] [flags]

DESCRIPTION
Create a fork of a repository.

With no argument, creates a fork of the current repository. Otherwise, forks the specified repository.

By default, the new fork is set to be your origin remote and any existing origin remote is renamed to upstream. To alter this behavior, you can set a name for the new fork's remote with --remote-name.

The upstream remote will be set as the default remote repository.

Additional git clone flags can be passed after --.

OPTIONS

--clone
    Clone the fork

--default-branch-only
    Only include the default branch in the fork

--fork-name <string>
    Rename the forked repository

--org <string>
    Create the fork in an organization

--remote
    Add a git remote for the fork

--remote-name <string> (default "origin")
    Specify the name for the new remote

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-repo(1)